Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in media-libs/fontconfig: fontconfig-2.11.1.ebuild ChangeLog
Date: Wed, 30 Apr 2014 17:33:54
Message-Id: 20140430173347.A8F132004B@flycatcher.gentoo.org
mgorny      14/04/30 17:33:47

  Modified:             fontconfig-2.11.1.ebuild ChangeLog
  Log:
  Use multilib_src_install*() instead of direct multilib_foreach_abi().
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.2                  media-libs/fontconfig/fontconfig-2.11.1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild?r1=1.1&r2=1.2

Index: fontconfig-2.11.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fontconfig-2.11.1.ebuild	29 Mar 2014 20:42:28 -0000	1.1
+++ fontconfig-2.11.1.ebuild	30 Apr 2014 17:33:47 -0000	1.2
@@ -1,11 +1,11 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild,v 1.1 2014/03/29 20:42:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.11.1.ebuild,v 1.2 2014/04/30 17:33:47 mgorny Exp $
 
 EAPI=5
 AUTOTOOLS_AUTORECONF=yes
 
-inherit autotools-multilib readme.gentoo
+inherit eutils readme.gentoo autotools-multilib
 
 DESCRIPTION="A library for configuring and customizing font access"
 HOMEPAGE="http://fontconfig.org/"
@@ -76,19 +76,22 @@
 	autotools-multilib_src_configure
 }
 
-src_install() {
-	autotools-multilib_src_install
+multilib_src_install() {
+	default
 
 	# XXX: avoid calling this multiple times, bug #459210
-	install_others() {
+	if multilib_is_native_abi; then
 		# stuff installed from build-dir
-		autotools-utils_src_compile \
-			DESTDIR="${D}" -C doc install-man
+		emake -C doc DESTDIR="${D}" install-man
 
 		insinto /etc/fonts
-		doins "${BUILD_DIR}"/fonts.conf
-	}
-	multilib_foreach_abi install_others
+		doins fonts.conf
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	prune_libtool_files --all
 
 	#fc-lang directory contains language coverage datafiles
 	#which are needed to test the coverage of fonts.
@@ -98,7 +101,7 @@
 	dodoc doc/fontconfig-user.{txt,pdf}
 
 	if [[ -e ${ED}usr/share/doc/fontconfig/ ]];  then
-		mv "${ED}"usr/share/doc/fontconfig/* "${ED}"/usr/share/doc/${P}
+		mv "${ED}"usr/share/doc/fontconfig/* "${ED}"/usr/share/doc/${P} || die
 		rm -rf "${ED}"usr/share/doc/fontconfig
 	fi
 



1.192                media-libs/fontconfig/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/ChangeLog?rev=1.192&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/ChangeLog?rev=1.192&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/fontconfig/ChangeLog?r1=1.191&r2=1.192

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v
retrieving revision 1.191
retrieving revision 1.192
diff -u -r1.191 -r1.192
--- ChangeLog	29 Mar 2014 20:42:28 -0000	1.191
+++ ChangeLog	30 Apr 2014 17:33:47 -0000	1.192
@@ -1,6 +1,9 @@
 # ChangeLog for media-libs/fontconfig
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v 1.191 2014/03/29 20:42:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v 1.192 2014/04/30 17:33:47 mgorny Exp $
+
+  30 Apr 2014; Michał Górny <mgorny@g.o> fontconfig-2.11.1.ebuild:
+  Use multilib_src_install*() instead of direct multilib_foreach_abi().
 
 *fontconfig-2.11.1 (29 Mar 2014)